Browse Source

[lxqt] commit 0.12 without Manifest

master
Robert Förster 4 years ago
parent
commit
84ad97d931
  1. 7
      lxqt-base/liblxqt/liblxqt-0.12.0.ebuild
  2. 3
      lxqt-base/libsysstat/libsysstat-0.4.0.ebuild
  3. 8
      lxqt-base/lxqt-about/lxqt-about-0.12.0.ebuild
  4. 6
      lxqt-base/lxqt-admin/lxqt-admin-0.12.0.ebuild
  5. 1
      lxqt-base/lxqt-common/Manifest
  6. 24
      lxqt-base/lxqt-common/lxqt-common-0.11.2.ebuild
  7. 221
      lxqt-base/lxqt-config/files/lxqt-config-0.11.0-cmake-3.8.patch
  8. 15
      lxqt-base/lxqt-config/lxqt-config-0.12.0.ebuild
  9. 13
      lxqt-base/lxqt-globalkeys/lxqt-globalkeys-0.12.0.ebuild
  10. 52
      lxqt-base/lxqt-meta/lxqt-meta-0.12.0.ebuild
  11. 9
      lxqt-base/lxqt-notificationd/lxqt-notificationd-0.12.0.ebuild
  12. 10
      lxqt-base/lxqt-openssh-askpass/lxqt-openssh-askpass-0.12.0.ebuild
  13. 32
      lxqt-base/lxqt-panel/files/lxqt-panel-0.11.0-fix-undef-explicit.patch
  14. 30
      lxqt-base/lxqt-panel/files/lxqt-panel-0.12.0-fix-worldclock-size-updating.patch
  15. 35
      lxqt-base/lxqt-panel/files/lxqt-panel-0.12.0-fix-wrongly-positioned-popups.patch
  16. 63
      lxqt-base/lxqt-panel/lxqt-panel-0.12.0.ebuild
  17. 12
      lxqt-base/lxqt-policykit/lxqt-policykit-0.12.0.ebuild
  18. 7
      lxqt-base/lxqt-powermanagement/lxqt-powermanagement-0.12.0.ebuild
  19. 12
      lxqt-base/lxqt-qtplugin/lxqt-qtplugin-0.12.0.ebuild
  20. 9
      lxqt-base/lxqt-runner/lxqt-runner-0.12.0.ebuild
  21. 13
      lxqt-base/lxqt-session/lxqt-session-0.12.0.ebuild
  22. 12
      lxqt-base/lxqt-sudo/lxqt-sudo-0.12.0.ebuild

7
lxqt-base/liblxqt/liblxqt-0.11.1.ebuild → lxqt-base/liblxqt/liblxqt-0.12.0.ebuild

@ -15,11 +15,11 @@ else
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
fi
LICENSE="GPL-2 LGPL-2.1+"
LICENSE="LGPL-2.1+"
SLOT="0"
RDEPEND="
>=dev-libs/libqtxdg-2.0.0
dev-libs/libqtxdg:0/3
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
@ -27,11 +27,12 @@ RDEPEND="
dev-qt/qtx11extras:5
dev-qt/qtxml:5
kde-frameworks/kwindowsystem:5[X]
x11-libs/libX11
x11-libs/libXScrnSaver
"
DEPEND="${RDEPEND}
>=dev-util/lxqt-build-tools-0.3.1
>=dev-util/lxqt-build-tools-0.4.0
dev-qt/linguist-tools:5
"

3
lxqt-base/libsysstat/libsysstat-0.3.3.ebuild → lxqt-base/libsysstat/libsysstat-0.4.0.ebuild

@ -20,6 +20,5 @@ SLOT="0"
RDEPEND="dev-qt/qtcore:5"
DEPEND="${RDEPEND}
>=dev-util/lxqt-build-tools-0.1.0
dev-qt/linguist-tools:5
>=dev-util/lxqt-build-tools-0.4.0
"

8
lxqt-base/lxqt-about/lxqt-about-0.11.1.ebuild → lxqt-base/lxqt-about/lxqt-about-0.12.0.ebuild

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils versionator
inherit cmake-utils eapi7-ver
DESCRIPTION="LXQt about dialog"
HOMEPAGE="https://lxqt.org/"
@ -19,13 +19,11 @@ LICENSE="LGPL-2.1+"
SLOT="0"
RDEPEND="
dev-libs/libqtxdg:0/3
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
dev-qt/qtx11extras:5
dev-qt/qtxml:5
=lxqt-base/liblxqt-$(get_version_component_range 1-2)*
=lxqt-base/liblxqt-$(ver_cut 1-2)*
"
DEPEND="${RDEPEND}"

6
lxqt-base/lxqt-admin/lxqt-admin-0.11.1.ebuild → lxqt-base/lxqt-admin/lxqt-admin-0.12.0.ebuild

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils versionator
inherit cmake-utils eapi7-ver
DESCRIPTION="LXQt system administration tool"
HOMEPAGE="https://lxqt.org/"
@ -23,11 +23,8 @@ RDEPEND="
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
dev-qt/qtx11extras:5
dev-qt/qtxml:5
=lxqt-base/liblxqt-$(get_version_component_range 1-2)*
kde-frameworks/kwindowsystem:5
x11-libs/libX11
"
DEPEND="${RDEPEND}"
@ -37,3 +34,4 @@ src_configure() {
)
cmake-utils_src_configure
}
# XXX deal with policykit file

1
lxqt-base/lxqt-common/Manifest

@ -1 +0,0 @@
DIST lxqt-common-0.11.2.tar.xz 3217412 BLAKE2B 3a81cac070a823610ae3274f66f4a0d935ac58a74426ccbe22d64c6b07f1da302dfbbf0c29238062b78b8f70c732917089de2b0e6750d4f5f2a6f8f5591a1457 SHA512 5f862186a7e19644beeca902817a4b909e761c7a4fdba9b7923b077feec135f62e3df77f4c630d3348f0bdcce9160dd2663c9160ecdb9ea4a7e3def0eff7d624

24
lxqt-base/lxqt-common/lxqt-common-0.11.2.ebuild

@ -1,24 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils
DESCRIPTION="LXQt common resources"
HOMEPAGE="https://lxqt.org/"
SRC_URI="https://github.com/lxqt/lxqt-common-deprecated/releases/download/${PV}/${P}.tar.xz"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
LICENSE="LGPL-2.1+"
SLOT="0"
DEPEND=">=lxqt-base/liblxqt-0.11.1"
RDEPEND="${DEPEND}"
PDEPEND=">=lxqt-base/lxqt-session-0.11.1"
src_install() {
cmake-utils_src_install
dodir "/etc/X11/Sessions"
dosym "/usr/bin/startlxqt" "/etc/X11/Sessions/lxqt"
}

221
lxqt-base/lxqt-config/files/lxqt-config-0.11.0-cmake-3.8.patch

@ -1,221 +0,0 @@
From bca652a75f8a497a69b1fbc1c7eaa353f6b4eef8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Lu=C3=ADs=20Pereira?= <luis.artur.pereira@gmail.com>
Date: Wed, 19 Apr 2017 12:56:45 +0100
Subject: [PATCH] Fixes a FTBFS with CMake v3.8
CMake v3.8 AUTOUIC changed the directory where the file is generated to:
<CMAKE_CURRENT_BINARY_DIR>/<TARGETNAME>_autogen/include. The changes makes
us fail.
The change is actually just an sympton and not a root cause. We shouldn't
include a ui generated file in public header.
Closes https://github.com/lxde/lxqt/issues/1277
---
liblxqt-config-cursor/selectwnd.cpp | 64 ++++++++++++++++++++-----------------
liblxqt-config-cursor/selectwnd.h | 9 ++++--
2 files changed, 41 insertions(+), 32 deletions(-)
diff --git a/liblxqt-config-cursor/selectwnd.cpp b/liblxqt-config-cursor/selectwnd.cpp
index e76840b..8a1fa18 100644
--- a/liblxqt-config-cursor/selectwnd.cpp
+++ b/liblxqt-config-cursor/selectwnd.cpp
@@ -13,6 +13,7 @@
#include <QDebug>
#include "selectwnd.h"
+#include "ui_selectwnd.h"
#include <QKeyEvent>
#include <QMessageBox>
@@ -37,22 +38,24 @@
#define HOME_ICON_DIR QDir::homePath() + "/.icons"
-SelectWnd::SelectWnd(LXQt::Settings* settings, QWidget *parent) : QWidget(parent), mSettings(settings)
+SelectWnd::SelectWnd(LXQt::Settings* settings, QWidget *parent)
+ : QWidget(parent),
+ mSettings(settings),
+ ui(new Ui::SelectWnd)
{
- setupUi(this);
-
- warningLabel->hide();
+ ui->setupUi(this);
+ ui->warningLabel->hide();
mModel = new XCursorThemeModel(this);
int size = style()->pixelMetric(QStyle::PM_LargeIconSize);
- lbThemes->setModel(mModel);
- lbThemes->setItemDelegate(new ItemDelegate(this));
- lbThemes->setIconSize(QSize(size, size));
- lbThemes->setSelectionMode(QAbstractItemView::SingleSelection);
+ ui->lbThemes->setModel(mModel);
+ ui->lbThemes->setItemDelegate(new ItemDelegate(this));
+ ui->lbThemes->setIconSize(QSize(size, size));
+ ui->lbThemes->setSelectionMode(QAbstractItemView::SingleSelection);
// Make sure we find out about selection changes
- connect(lbThemes->selectionModel(), SIGNAL(currentChanged(const QModelIndex &, const QModelIndex &)),
+ connect(ui->lbThemes->selectionModel(), SIGNAL(currentChanged(const QModelIndex &, const QModelIndex &)),
SLOT(currentChanged(const QModelIndex &, const QModelIndex &)));
// display/hide warning label
connect(mModel, SIGNAL(modelReset()),
@@ -62,15 +65,15 @@ SelectWnd::SelectWnd(LXQt::Settings* settings, QWidget *parent) : QWidget(parent
connect(mModel, SIGNAL(rowsRemoved(const QModelIndex&, int, int)),
this, SLOT(handleWarning()));
- connect(warningLabel, SIGNAL(showDirInfo()),
+ connect(ui->warningLabel, SIGNAL(showDirInfo()),
this, SLOT(showDirInfo()));
// Disable the install button if we can't install new themes to ~/.icons,
// or Xcursor isn't set up to look for cursor themes there
- btInstall->setEnabled(mModel->searchPaths().contains(HOME_ICON_DIR) && iconsIsWritable());
+ ui->btInstall->setEnabled(mModel->searchPaths().contains(HOME_ICON_DIR) && iconsIsWritable());
// TODO/FIXME: btInstall functionality
- btInstall->hide();
- btRemove->hide();
+ ui->btInstall->hide();
+ ui->btRemove->hide();
//QTimer::singleShot(0, this, SLOT(setCurrent()));
@@ -80,11 +83,12 @@ SelectWnd::SelectWnd(LXQt::Settings* settings, QWidget *parent) : QWidget(parent
SelectWnd::~SelectWnd()
{
+ delete ui;
}
void SelectWnd::setCurrent()
{
- lbThemes->selectionModel()->clear();
+ ui->lbThemes->selectionModel()->clear();
QString ct = getCurrentTheme();
mAppliedIndex = mModel->defaultIndex();
@@ -97,9 +101,9 @@ void SelectWnd::setCurrent()
const XCursorThemeData *theme = mModel->theme(mAppliedIndex);
// Select the current theme
selectRow(mAppliedIndex);
- lbThemes->scrollTo(mAppliedIndex, QListView::PositionAtCenter);
+ ui->lbThemes->scrollTo(mAppliedIndex, QListView::PositionAtCenter);
// Update the preview widget as well
- if (theme) preview->setTheme(*theme);// else preview->clearTheme();
+ if (theme) ui->preview->setTheme(*theme);// else ui->preview->clearTheme();
}
}
@@ -123,8 +127,8 @@ void SelectWnd::selectRow(int row) const
QModelIndex from = mModel->index(row, 0);
QModelIndex to = mModel->index(row, mModel->columnCount()-1);
QItemSelection selection(from, to);
- lbThemes->selectionModel()->select(selection, QItemSelectionModel::Select);
- lbThemes->selectionModel()->setCurrentIndex(mAppliedIndex, QItemSelectionModel::NoUpdate);
+ ui->lbThemes->selectionModel()->select(selection, QItemSelectionModel::Select);
+ ui->lbThemes->selectionModel()->setCurrentIndex(mAppliedIndex, QItemSelectionModel::NoUpdate);
}
void SelectWnd::currentChanged(const QModelIndex &current, const QModelIndex &previous)
@@ -133,16 +137,16 @@ void SelectWnd::currentChanged(const QModelIndex &current, const QModelIndex &pr
if (current.isValid()) {
const XCursorThemeData *theme = mModel->theme(current);
if (theme) {
- preview->setTheme(*theme);
- btRemove->setEnabled(theme->isWritable());
+ ui->preview->setTheme(*theme);
+ ui->btRemove->setEnabled(theme->isWritable());
} else {
- preview->clearTheme();
+ ui->preview->clearTheme();
}
// directly apply the current settings
applyCurrent();
} else {
- preview->clearTheme();
+ ui->preview->clearTheme();
}
//emit changed(mAppliedIndex != current);
}
@@ -155,7 +159,7 @@ void SelectWnd::on_btInstall_clicked()
void SelectWnd::applyCurrent()
{
//qDebug() << "'set' clicked";
- const XCursorThemeData *theme = mModel->theme(lbThemes->currentIndex());
+ const XCursorThemeData *theme = mModel->theme(ui->lbThemes->currentIndex());
if (!theme) return;
applyTheme(*theme);
fixXDefaults(theme->name());
@@ -200,7 +204,7 @@ void SelectWnd::applyCurrent()
void SelectWnd::on_btRemove_clicked()
{
qDebug() << "'remove' clicked";
- const XCursorThemeData *theme = mModel->theme(lbThemes->currentIndex());
+ const XCursorThemeData *theme = mModel->theme(ui->lbThemes->currentIndex());
if (!theme) return;
QString ct = getCurrentTheme();
if (ct == theme->name())
@@ -210,20 +214,20 @@ void SelectWnd::on_btRemove_clicked()
return;
}
QDir d(theme->path());
- preview->clearTheme();
- mModel->removeTheme(lbThemes->currentIndex());
+ ui->preview->clearTheme();
+ mModel->removeTheme(ui->lbThemes->currentIndex());
removeXCursorTheme(d);
}
void SelectWnd::handleWarning()
{
bool empty = mModel->rowCount();
- warningLabel->setVisible(!empty);
- preview->setVisible(empty);
- infoLabel->setVisible(empty);
+ ui->warningLabel->setVisible(!empty);
+ ui->preview->setVisible(empty);
+ ui->infoLabel->setVisible(empty);
}
void SelectWnd::showDirInfo()
{
- QToolTip::showText(mapToGlobal(warningLabel->buttonPos()), mModel->searchPaths().join("\n"));
+ QToolTip::showText(mapToGlobal(ui->warningLabel->buttonPos()), mModel->searchPaths().join("\n"));
}
diff --git a/liblxqt-config-cursor/selectwnd.h b/liblxqt-config-cursor/selectwnd.h
index c9bc428..200cfa0 100644
--- a/liblxqt-config-cursor/selectwnd.h
+++ b/liblxqt-config-cursor/selectwnd.h
@@ -15,16 +15,20 @@
#include <QObject>
#include <QWidget>
+#include <QPersistentModelIndex>
#include <lxqtglobals.h>
namespace LXQt {
class Settings;
}
+namespace Ui {
+class SelectWnd;
+}
+
class XCursorThemeModel;
-#include "ui_selectwnd.h"
-class LXQT_API SelectWnd : public QWidget, private Ui_SelectWnd
+class LXQT_API SelectWnd : public QWidget
{
Q_OBJECT
@@ -55,6 +59,7 @@ private slots:
XCursorThemeModel *mModel;
QPersistentModelIndex mAppliedIndex;
LXQt::Settings* mSettings;
+ Ui::SelectWnd *ui;
};
#endif

15
lxqt-base/lxqt-config/lxqt-config-0.11.1.ebuild → lxqt-base/lxqt-config/lxqt-config-0.12.0.ebuild

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils versionator
inherit cmake-utils eapi7-ver
DESCRIPTION="LXQt system configuration control center"
HOMEPAGE="https://lxqt.org/"
@ -15,11 +15,11 @@ else
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
fi
LICENSE="GPL-2 LGPL-2.1+"
LICENSE="LGPL-2.1+"
SLOT="0"
RDEPEND="
>=dev-libs/libqtxdg-1.0.0
dev-libs/libqtxdg:0/3
dev-qt/qtconcurrent:5
dev-qt/qtcore:5
dev-qt/qtdbus:5
@ -29,22 +29,17 @@ RDEPEND="
dev-qt/qtxml:5
kde-frameworks/kwindowsystem:5
kde-plasma/libkscreen:5=
=lxqt-base/liblxqt-$(get_version_component_range 1-2)*
=lxqt-base/liblxqt-$(ver_cut 1-2)*
sys-libs/zlib:=
x11-apps/setxkbmap
x11-libs/libICE
x11-libs/libSM
x11-libs/libxcb:=
x11-libs/libX11
x11-libs/libXcursor
x11-libs/libXext
x11-libs/libXfixes
"
DEPEND="${CDEPEND}
DEPEND="${DEPEND}
dev-qt/linguist-tools:5"
PATCHES=( "${FILESDIR}/${PN}-0.11.0-cmake-3.8.patch" )
src_configure() {
local mycmakeargs=(
-DPULL_TRANSLATIONS=OFF

13
lxqt-base/lxqt-globalkeys/lxqt-globalkeys-0.11.1.ebuild → lxqt-base/lxqt-globalkeys/lxqt-globalkeys-0.12.0.ebuild

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils versionator
inherit cmake-utils eapi7-ver
DESCRIPTION="Daemon and library for global keyboard shortcuts registration"
HOMEPAGE="https://lxqt.org/"
@ -19,21 +19,20 @@ LICENSE="LGPL-2.1+"
SLOT="0"
RDEPEND="
>=dev-libs/libqtxdg-1.0.0
dev-libs/libqtxdg:0/3
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
dev-qt/qtx11extras:5
dev-qt/qtxml:5
=lxqt-base/liblxqt-$(get_version_component_range 1-2)*
x11-libs/libICE
x11-libs/libSM
=lxqt-base/liblxqt-$(ver_cut 1-2)*
kde-frameworks/kwindowsystem:5
x11-libs/libX11
x11-libs/libXext
!lxqt-base/lxqt-common
"
DEPEND="${RDEPEND}
>=dev-util/lxqt-build-tools-0.1.0
>=dev-util/lxqt-build-tools-0.4.0
dev-qt/linguist-tools:5
"

52
lxqt-base/lxqt-meta/lxqt-meta-0.12.0.ebuild

@ -0,0 +1,52 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eapi7-ver
DESCRIPTION="Meta ebuild for LXQt, the Lightweight Desktop Environment"
HOMEPAGE="https://lxqt.org/"
LICENSE="metapackage"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE="+about admin +filemanager lightdm lximage l10n minimal +policykit
powermanagement sddm ssh-askpass sudo"
MY_PV="$(ver_cut 1-2)*"
# Note: we prefer kde-frameworks/oxygen-icons over other icon sets, as the initial
# install expects oxygen icons, until the user specifies otherwise (bug 543380)
RDEPEND="
kde-frameworks/oxygen-icons
>=lxde-base/lxmenu-data-0.1.5
=lxqt-base/lxqt-config-${MY_PV}
=lxqt-base/lxqt-globalkeys-${MY_PV}
=lxqt-base/lxqt-notificationd-${MY_PV}
=lxqt-base/lxqt-panel-${MY_PV}
=lxqt-base/lxqt-qtplugin-${MY_PV}
=lxqt-base/lxqt-runner-${MY_PV}
=lxqt-base/lxqt-session-${MY_PV}
virtual/ttf-fonts
about? ( =lxqt-base/lxqt-about-${MY_PV} )
admin? ( =lxqt-base/lxqt-admin-${MY_PV} )
filemanager? ( =x11-misc/pcmanfm-qt-${MY_PV} )
lightdm? ( x11-misc/lightdm )
lximage? ( media-gfx/lximage-qt )
l10n? ( =lxqt-base/lxqt-l10n-${MY_PV} )
!minimal? (
x11-wm/openbox
x11-misc/obconf-qt
)
policykit? (
=lxqt-base/lxqt-policykit-${MY_PV}
|| (
sys-auth/consolekit[policykit(-)]
sys-apps/systemd[policykit(-)]
)
)
powermanagement? ( =lxqt-base/lxqt-powermanagement-${MY_PV} )
sddm? ( >=x11-misc/sddm-0.11.0 )
ssh-askpass? ( =lxqt-base/lxqt-openssh-askpass-${MY_PV} )
sudo? ( =lxqt-base/lxqt-sudo-${MY_PV} )
"

9
lxqt-base/lxqt-notificationd/lxqt-notificationd-0.11.1.ebuild → lxqt-base/lxqt-notificationd/lxqt-notificationd-0.12.0.ebuild

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils versionator
inherit cmake-utils eapi7-ver
DESCRIPTION="LXQt notification daemon and library"
HOMEPAGE="https://lxqt.org/"
@ -19,15 +19,14 @@ LICENSE="LGPL-2.1+"
SLOT="0"
RDEPEND="
>=dev-libs/libqtxdg-1.0.0
dev-libs/libqtxdg:0/3
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
dev-qt/qtx11extras:5
dev-qt/qtxml:5
kde-frameworks/kwindowsystem:5
=lxqt-base/liblxqt-$(get_version_component_range 1-2)*
=lxqt-base/liblxqt-$(ver_cut 1-2)*
!lxqt-base/lxqt-common
"
DEPEND="${RDEPEND}
dev-qt/linguist-tools:5

10
lxqt-base/lxqt-openssh-askpass/lxqt-openssh-askpass-0.11.1.ebuild → lxqt-base/lxqt-openssh-askpass/lxqt-openssh-askpass-0.12.0.ebuild

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils versionator
inherit cmake-utils eapi7-ver
DESCRIPTION="LXQt OpenSSH user password prompt tool"
HOMEPAGE="https://lxqt.org/"
@ -19,15 +19,9 @@ LICENSE="LGPL-2.1+"
SLOT="0"
RDEPEND="
>=dev-libs/libqtxdg-1.0.0
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
dev-qt/qtx11extras:5
dev-qt/qtxml:5
=lxqt-base/liblxqt-$(get_version_component_range 1-2)*
x11-libs/libX11
=lxqt-base/liblxqt-$(ver_cut 1-2)*
"
DEPEND="${RDEPEND}
dev-qt/linguist-tools:5

32
lxqt-base/lxqt-panel/files/lxqt-panel-0.11.0-fix-undef-explicit.patch

@ -1,32 +0,0 @@
From ec62109e0fa678875a9b10fc6f1975267432712d Mon Sep 17 00:00:00 2001
From: Palo Kisa <palo.kisa@gmail.com>
Date: Mon, 30 Jan 2017 12:21:10 +0100
Subject: [PATCH] plugin-kbindicator: Undef the "explicit" workaround
..after include and add explanation of the workaround.
closes lxde/lxqt#1251
---
plugin-kbindicator/src/x11/kbdlayout.cpp | 7 +++++++
1 file changed, 7 insertions(+)
diff --git a/plugin-kbindicator/src/x11/kbdlayout.cpp b/plugin-kbindicator/src/x11/kbdlayout.cpp
index c4aa4e27..883df074 100644
--- a/plugin-kbindicator/src/x11/kbdlayout.cpp
+++ b/plugin-kbindicator/src/x11/kbdlayout.cpp
@@ -33,8 +33,15 @@
#include <xkbcommon/xkbcommon-x11.h>
#include <xcb/xcb.h>
+
+// Note: We need to override "explicit" as this is a C++ keyword. But it is
+// used as variable name in xkb.h. This is causing a failure in C++ compile
+// time.
+// Similar bug here: https://bugs.freedesktop.org/show_bug.cgi?id=74080
#define explicit _explicit
#include <xcb/xkb.h>
+#undef explicit
+
#include "../kbdinfo.h"
#include "../controls.h"

30
lxqt-base/lxqt-panel/files/lxqt-panel-0.12.0-fix-worldclock-size-updating.patch

@ -0,0 +1,30 @@
From c9df6bc1c79e1032ff9750f14165dd7bdd67b53c Mon Sep 17 00:00:00 2001
From: Palo Kisa <palo.kisa@gmail.com>
Date: Mon, 23 Oct 2017 10:30:04 +0200
Subject: [PATCH] worldclock: Fix widget size updating
If the content change resulted in need of different size to show all
the content, the parent widget(s) didn't get the change. This resulted
in cut text or waste of space in panel.
---
plugin-worldclock/lxqtworldclock.cpp | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/plugin-worldclock/lxqtworldclock.cpp b/plugin-worldclock/lxqtworldclock.cpp
index 34c36967..d6fe9c07 100644
--- a/plugin-worldclock/lxqtworldclock.cpp
+++ b/plugin-worldclock/lxqtworldclock.cpp
@@ -132,9 +132,13 @@ void LXQtWorldClock::updateTimeText()
if (!isUpToDate)
{
+ const QSize old_size = mContent->sizeHint();
mContent->setText(tzNow.toString(preformat(mFormat, timeZone, tzNow)));
+ if (old_size != mContent->sizeHint())
+ mRotatedWidget->adjustContentSize();
mRotatedWidget->update();
updatePopupContent();
+
}
}

35
lxqt-base/lxqt-panel/files/lxqt-panel-0.12.0-fix-wrongly-positioned-popups.patch

@ -0,0 +1,35 @@
From 7391172f5c60bfdb62c71f832c4ee4a4477366a2 Mon Sep 17 00:00:00 2001
From: Palo Kisa <palo.kisa@gmail.com>
Date: Tue, 14 Nov 2017 09:12:34 +0100
Subject: [PATCH] lxqtpanel: Fix wrongly positioned popups
..by avoiding of usage the QWidget::mapToGlobal(), which is unreliable
sometimes.
---
panel/lxqtpanel.cpp | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)
diff --git a/panel/lxqtpanel.cpp b/panel/lxqtpanel.cpp
index 24a27155..7a33e05d 100644
--- a/panel/lxqtpanel.cpp
+++ b/panel/lxqtpanel.cpp
@@ -987,7 +987,8 @@ void LXQtPanel::setReserveSpace(bool reserveSpace, bool save)
************************************************/
QRect LXQtPanel::globalGometry() const
{
- return QRect(mapToGlobal(QPoint(0, 0)), this->size());
+ // panel is the the top-most widget/window, no calculation needed
+ return geometry();
}
@@ -1204,7 +1205,8 @@ QRect LXQtPanel::calculatePopupWindowPos(const ILXQtPanelPlugin *plugin, const Q
return QRect();
}
- return calculatePopupWindowPos(panel_plugin->mapToGlobal(QPoint(0, 0)), windowSize);
+ // Note: assuming there are not contentMargins around the "BackgroundWidget" (LXQtPanelWidget)
+ return calculatePopupWindowPos(globalGometry().topLeft() + panel_plugin->geometry().topLeft(), windowSize);
}

63
lxqt-base/lxqt-panel/lxqt-panel-0.11.1.ebuild → lxqt-base/lxqt-panel/lxqt-panel-0.12.0.ebuild

@ -2,12 +2,12 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils versionator
inherit cmake-utils eapi7-ver
DESCRIPTION="LXQt desktop panel and plugins"
HOMEPAGE="https://lxqt.org/"
MY_PV="$(get_version_component_range 1-2)*"
MY_PV="$(ver_cut 1-2)*"
if [[ ${PV} = *9999* ]]; then
inherit git-r3
@ -19,22 +19,23 @@ fi
LICENSE="LGPL-2.1+"
SLOT="0"
IUSE="+alsa +clock colorpicker cpuload +desktopswitch dom +kbindicator +mainmenu
IUSE="+alsa clock colorpicker cpuload +desktopswitch +directorymenu dom +kbindicator +mainmenu
+mount networkmonitor pulseaudio +quicklaunch sensors +showdesktop
statusnotifier sysstat +taskbar +tray +volume worldclock"
+spacer statusnotifier sysstat +taskbar +tray +volume +worldclock"
REQUIRED_USE="volume? ( || ( alsa pulseaudio ) )"
CDEPEND="
>=dev-libs/libqtxdg-1.0.0
RDEPEND="
dev-libs/libqtxdg:0/3
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtsvg:5
dev-qt/qtwidgets:5
dev-qt/qtx11extras:5
dev-qt/qtxml:5
kde-frameworks/kguiaddons:5
kde-frameworks/kwindowsystem:5[X]
>=lxde-base/menu-cache-0.3.3
>=lxde-base/lxmenu-data-0.1.5
>=lxde-base/menu-cache-1.1.0
=lxqt-base/liblxqt-${MY_PV}
=lxqt-base/lxqt-globalkeys-${MY_PV}
x11-libs/libX11
@ -44,22 +45,44 @@ CDEPEND="
networkmonitor? ( sys-libs/libstatgrab )
sensors? ( sys-apps/lm_sensors )
statusnotifier? ( dev-libs/libdbusmenu-qt[qt5(+)] )
sysstat? ( =lxqt-base/libsysstat-0.3* )
tray? ( x11-libs/libXcomposite
sysstat? ( >=lxqt-base/libsysstat-0.4.0 )
tray? (
x11-libs/libxcb:=
x11-libs/libXcomposite
x11-libs/libXdamage
x11-libs/libXrender )
volume? ( alsa? ( media-libs/alsa-lib )
pulseaudio? ( media-sound/pulseaudio ) )"
DEPEND="${CDEPEND}
dev-qt/linguist-tools:5"
RDEPEND="${CDEPEND}
dev-qt/qtsvg:5
>=lxde-base/lxmenu-data-0.1.2"
x11-libs/libXrender
x11-libs/xcb-util
)
volume? (
alsa? ( media-libs/alsa-lib )
pulseaudio? (
media-sound/pavucontrol-qt
media-sound/pulseaudio
)
)
!lxqt-base/lxqt-common
"
DEPEND="${RDEPEND}
>=dev-util/lxqt-build-tools-0.4.0
dev-qt/linguist-tools:5
virtual/pkgconfig
"
PATCHES=(
"${FILESDIR}"/${PN}-0.11.0-fix-undef-explicit.patch
"${FILESDIR}/${P}-fix-worldclock-size-updating.patch"
"${FILESDIR}/${P}-fix-wrongly-positioned-popups.patch"
)
src_prepare() {
cmake-utils_src_prepare
sed -e "s|,clock,|,worldclock,|" \
-i panel/resources/panel.conf || die
sed -e "s|pavucontrol|pavucontrol-qt|" \
-i plugin-volume/lxqtvolumeconfiguration.h || die
}
src_configure() {
local mycmakeargs=(
-DPULL_TRANSLATIONS=OFF
@ -69,6 +92,7 @@ src_configure() {
-DCOLORPICKER_PLUGIN=$(usex colorpicker)
-DCPULOAD_PLUGIN=$(usex cpuload)
-DDESKTOPSWITCH_PLUGIN=$(usex desktopswitch)
-DDIRECTORYMENU_PLUGIN=$(usex directorymenu)
-DDOM_PLUGIN=$(usex dom)
-DKBINDICATOR_PLUGIN=$(usex kbindicator)
-DMAINMENU_PLUGIN=$(usex mainmenu)
@ -77,6 +101,7 @@ src_configure() {
-DQUICKLAUNCH_PLUGIN=$(usex quicklaunch)
-DSENSORS_PLUGIN=$(usex sensors)
-DSHOWDESKTOP_PLUGIN=$(usex showdesktop)
-DSPACER_PLUGIN=$(usex spacer)
-DSTATUSNOTIFIER_PLUGIN=$(usex statusnotifier)
-DSYSSTAT_PLUGIN=$(usex sysstat)
-DTASKBAR_PLUGIN=$(usex taskbar)

12
lxqt-base/lxqt-policykit/lxqt-policykit-0.11.1.ebuild → lxqt-base/lxqt-policykit/lxqt-policykit-0.12.0.ebuild

@ -1,8 +1,8 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit cmake-utils
EAPI=6
inherit cmake-utils eapi7-ver
DESCRIPTION="LXQt PolKit authentication agent"
HOMEPAGE="https://lxqt.org/"
@ -15,20 +15,18 @@ else
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
fi
LICENSE="GPL-2 LGPL-2.1+"
LICENSE="LGPL-2.1+"
SLOT="0"
RDEPEND="
dev-libs/glib:2
>=dev-libs/libqtxdg-1.0.0
dev-libs/libqtxdg:0/3
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
dev-qt/qtx11extras:5
dev-qt/qtxml:5
=lxqt-base/liblxqt-$(get_version_component_range 1-2)*
sys-auth/polkit-qt[qt5(+)]
!lxqt-base/lxqt-common
"
DEPEND="${RDEPEND}
dev-qt/linguist-tools:5

7
lxqt-base/lxqt-powermanagement/lxqt-powermanagement-0.11.1.ebuild → lxqt-base/lxqt-powermanagement/lxqt-powermanagement-0.12.0.ebuild

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils versionator
inherit cmake-utils eapi7-ver
DESCRIPTION="LXQt daemon for power management and auto-suspend"
HOMEPAGE="https://lxqt.org/"
@ -19,7 +19,7 @@ LICENSE="LGPL-2.1+"
SLOT="0"
RDEPEND="
>=dev-libs/libqtxdg-1.0.0
dev-libs/libqtxdg:0/3
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
@ -28,11 +28,12 @@ RDEPEND="
dev-qt/qtx11extras:5
kde-frameworks/kidletime:5
kde-frameworks/solid:5
=lxqt-base/liblxqt-$(get_version_component_range 1-2)*
=lxqt-base/liblxqt-$(ver_cut 1-2)*
|| (
sys-power/upower
sys-power/upower-pm-utils
)
!lxqt-base/lxqt-common
"
DEPEND="${RDEPEND}
dev-qt/linguist-tools:5

12
lxqt-base/lxqt-qtplugin/lxqt-qtplugin-0.11.1.ebuild → lxqt-base/lxqt-qtplugin/lxqt-qtplugin-0.12.0.ebuild

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils versionator
inherit cmake-utils eapi7-ver
DESCRIPTION="LXQt system integration plugin for Qt"
HOMEPAGE="https://lxqt.org/"
@ -19,14 +19,16 @@ LICENSE="LGPL-2.1+"
SLOT="0"
RDEPEND="
dev-libs/libdbusmenu-qt:=
>=dev-libs/libqtxdg-2.0.0
dev-libs/libdbusmenu-qt:=[qt5(+)]
dev-libs/libqtxdg:0/3
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
x11-libs/libX11
dev-qt/qtx11extras:5
=x11-libs/libfm-qt-$(ver_cut 1-2)*
"
DEPEND="${RDEPEND}
>=dev-util/lxqt-build-tools-0.1.0
>=dev-util/lxqt-build-tools-0.4.0
dev-qt/linguist-tools:5
"

9
lxqt-base/lxqt-runner/lxqt-runner-0.11.1.ebuild → lxqt-base/lxqt-runner/lxqt-runner-0.12.0.ebuild

@ -2,12 +2,12 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils versionator
inherit cmake-utils eapi7-ver
DESCRIPTION="LXQt quick launcher"
HOMEPAGE="https://lxqt.org/"
MY_PV="$(get_version_component_range 1-2)*"
MY_PV="$(ver_cut 1-2)*"
if [[ ${PV} = *9999* ]]; then
inherit git-r3
@ -22,17 +22,16 @@ SLOT="0"
RDEPEND="
>=dev-cpp/muParser-2.2.3:=
>=dev-libs/libqtxdg-1.0.0
dev-libs/libqtxdg:0/3
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
dev-qt/qtx11extras:5
dev-qt/qtxml:5
kde-frameworks/kwindowsystem:5
>=lxde-base/menu-cache-0.5.1
=lxqt-base/liblxqt-${MY_PV}
=lxqt-base/lxqt-globalkeys-${MY_PV}
!lxqt-base/lxqt-common
"
DEPEND="${RDEPEND}
dev-qt/linguist-tools:5

13
lxqt-base/lxqt-session/lxqt-session-0.11.1.ebuild → lxqt-base/lxqt-session/lxqt-session-0.12.0.ebuild

@ -2,12 +2,12 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils versionator
inherit cmake-utils eapi7-ver
DESCRIPTION="LXQT session manager"
HOMEPAGE="https://lxqt.org/"
MY_PV="$(get_version_component_range 1-2)*"
MY_PV="$(ver_cut 1-2)*"
if [[ ${PV} = *9999* ]]; then
inherit git-r3
@ -23,25 +23,22 @@ LICENSE="LGPL-2.1+"
SLOT="0"
RDEPEND="
>=dev-libs/libqtxdg-1.0.0
dev-libs/libqtxdg:0/3
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
dev-qt/qtx11extras:5
dev-qt/qtxml:5
kde-frameworks/kwindowsystem:5[X]
=lxqt-base/liblxqt-${MY_PV}
=lxqt-base/lxqt-common-0.11*
x11-libs/libX11
x11-misc/xdg-user-dirs
themes? ( =x11-themes/lxqt-themes-${MY_PV} )
udev? ( virtual/libudev )
!lxqt-base/lxqt-common
"
DEPEND="${RDEPEND}
dev-qt/linguist-tools:5
dev-util/intltool
>=dev-util/lxqt-build-tools-0.1.0
sys-devel/gettext
"
src_configure() {

12
lxqt-base/lxqt-sudo/lxqt-sudo-0.11.1.ebuild → lxqt-base/lxqt-sudo/lxqt-sudo-0.12.0.ebuild

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils versionator
inherit cmake-utils eapi7-ver
DESCRIPTION="LXQt GUI frontend for sudo"
HOMEPAGE="https://lxqt.org/"
@ -20,16 +20,12 @@ SLOT="0"
RDEPEND="
app-admin/sudo
>=dev-libs/libqtxdg-1.0.0
dev-libs/libqtxdg:0/3
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
=lxqt-base/liblxqt-$(get_version_component_range 1-2)*
"
DEPEND="${RDEPEND}
>=dev-util/lxqt-build-tools-0.1.0
=lxqt-base/liblxqt-$(ver_cut 1-2)*
"
DEPEND="${RDEPEND}"
src_configure() {
local mycmakeargs=(
Loading…
Cancel
Save